/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\PlagueBeastLordQuest\Mobiles\PlagueBeastLordTest.cs
Lines of code: 38
***********************************************************/


//For testing only!

using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Network;

namespace Server.Mobiles
{
				
	[CorpseName( "a testing plague beast lord corpse" )]
	public class PlagueBeastLordTest : PlagueBeastLord
	{
		//Monster life time, once it is opened.
		public override double MortalitySeconds
		{
			get{ return 600; }
		}

		[Constructable]
		public PlagueBeastLordTest() : base()
		{
			SetSkill( SkillName.Wrestling, 0 );
			SetSkill( SkillName.Tactics, 0 );

			Fame = 0;
			Karma = 0;
		}

		public PlagueBeastLordTest( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			Delete();
		}
	}
}
